MyGUI: MyGUI::DataManager Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
MyGUI::DataManager Class Referenceabstract

`#include <MyGUI_DataManager.h>`

## Public Member Functions
| DataManager ()
virtual | ~DataManager ()=default
virtual IDataStream * | getData (const std::string &_name) const =0
virtual void | freeData (IDataStream *_data)=0
virtual bool | isDataExist (const std::string &_name) const =0
virtual const VectorString & | getDataListNames (const std::string &_pattern) const =0
virtual const std::string & | getDataPath (const std::string &_name) const =0

## Static Public Member Functions
static DataManager & | getInstance ()
static DataManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Detailed Description

Definition at line 18 of file MyGUI_DataManager.h.

## Constructor & Destructor Documentation

## ◆ DataManager()

MyGUI::DataManager::DataManager | ( |  | ) |

Definition at line 15 of file MyGUI_DataManager.cpp.

## ◆ ~DataManager()

virtual MyGUI::DataManager::~DataManager | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ freeData()

virtual void MyGUI::DataManager::freeData | ( | IDataStream * | _data | ) |
| pure virtual

Free data stream.

Parameters

  _data | Data stream.

## ◆ getClassTypeName()

static const char * MyGUI::DataManager::getClassTypeName | ( |  | ) |
| static

## ◆ getData()

virtual IDataStream * MyGUI::DataManager::getData | ( | const std::string & | _name | ) | const
| pure virtual

Get data stream from specified resource name.

Parameters

  _name | Resource name (usually file name).

## ◆ getDataListNames()

virtual const VectorString & MyGUI::DataManager::getDataListNames | ( | const std::string & | _pattern | ) | const
| pure virtual

Get all data names with names that matches pattern.

Parameters

  _pattern | Pattern to match (for example "*.layout").

## ◆ getDataPath()

virtual const std::string & MyGUI::DataManager::getDataPath | ( | const std::string & | _name | ) | const
| pure virtual

Get full path to data.

Parameters

  _name | Resource name.

Returns
  Return full path to specified data. For example getDataPath("My.layout") might return "C:\path\to\project\data\My.layout"

## ◆ getInstance()

static DataManager & MyGUI::DataManager::getInstance | ( |  | ) |
| static

## ◆ getInstancePtr()

static DataManager * MyGUI::DataManager::getInstancePtr | ( |  | ) |
| static

## ◆ isDataExist()

virtual bool MyGUI::DataManager::isDataExist | ( | const std::string & | _name | ) | const
| pure virtual

Is data with specified name exist.

Parameters

  _name | Resource name.

The documentation for this class was generated from the following files:

- MyGUI_DataManager.h
- MyGUI_DataManager.cpp